قائمة خصائص الفواتير

GET https://app.alaaqat.com/api/invoices/properties

تعرض هذه النقطة كل خصائص الفواتير في حسابك: المدمجة منها والتي أنشأتها. استخدمها لمعرفة internal_name ونوع كل خاصية قبل إنشاء السجلات أو تعديلها. يحتاج مفتاح واجهة التطبيق البرمجية إلى الإمكانية invoice-property-index.

لمعرفة أنواع الخصائص، راجع الخصائص.

ترويسة الطلب

{
    "Accept": "application/json"
}

المعطيات

تقبل هذه النقطة معطيات الصفحات.

المفتاح النوع الافتراضي الوصف
search نص - البحث حسب الاسم.

الإستجابة

200 OK، أو 206 Partial Content إذا تبقّت صفحات أخرى. لا تحمل الخاصية المدمجة قيمة account_id. والخاصية التي تحمل "system_only": true يملأ نظام علاقات قيمتها بنفسه، فلا يمكنك إرسالها عند إنشاء سجل أو تعديله.

{
    "data": [
        {
            "_id": "64d5b87d68109f25280ec101",
            "internal_name": "_id",
            "name": {
                "en": "ID",
                "ar": "الرقم المُعرف"
            },
            "desc": {
                "en": "Identification number set by Alaaqat and cannot be modified.",
                "ar": "رقم التعريف المحدد من قبل العلاقات ولا يمكن تعديله."
            },
            "type": "string",
            "system_only": true,
            "group_id": "6653c0d1e2f3a4b5c6d7e841",
            "user": null,
            "group": {
                "_id": "6653c0d1e2f3a4b5c6d7e841",
                "internal_name": "invoice_information",
                "name": {
                    "en": "Invoice Information",
                    "ar": "معلومات الفاتورة"
                },
                "desc": [],
                "account_id": null,
                "made_by": null,
                "updated_at": "2026-01-10T00:00:00.000000Z",
                "created_at": "2026-01-10T00:00:00.000000Z"
            }
        },
        {
            "type": "string",
            "name": {
                "en": "Purchase order number",
                "ar": "رقم أمر الشراء"
            },
            "desc": {
                "en": "The client's purchase order this invoice answers",
                "ar": "أمر الشراء الذي تصدر الفاتورة بناءً عليه"
            },
            "internal_name": "purchase_order",
            "group_id": "6653c0d1e2f3a4b5c6d7e841",
            "is_unique_key": true,
            "_id": "6654d0e1f2a3b4c5d6e7f811",
            "account_id": 1024,
            "made_by": 12,
            "updated_at": "2026-10-20T09:15:00.000000Z",
            "created_at": "2026-10-20T09:15:00.000000Z",
            "user": {
                "id": 12,
                "email": "sara.haddad@example.com",
                "firstname": "Sara",
                "lastname": "Haddad",
                "image": null,
                "locale": "en",
                "created_at": "2026-03-02T08:00:00.000000Z",
                "updated_at": "2026-10-01T07:30:00.000000Z",
                "fullname": "Sara Haddad"
            },
            "group": {
                "_id": "6653c0d1e2f3a4b5c6d7e841",
                "internal_name": "invoice_information",
                "name": {
                    "en": "Invoice Information",
                    "ar": "معلومات الفاتورة"
                },
                "desc": [],
                "account_id": null,
                "made_by": null,
                "updated_at": "2026-01-10T00:00:00.000000Z",
                "created_at": "2026-01-10T00:00:00.000000Z"
            }
        }
    ],
    "links": {
        "first": "https://app.alaaqat.com/api/invoices/properties?page=1",
        "last": "https://app.alaaqat.com/api/invoices/properties?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "« Previous",
                "active": false
            },
            {
                "url": "https://app.alaaqat.com/api/invoices/properties?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Next »",
                "active": false
            }
        ],
        "path": "https://app.alaaqat.com/api/invoices/properties",
        "per_page": 15,
        "to": 2,
        "total": 2
    }
}